Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class GeometryMapper

    java.lang.Object
      com.vividsolutions.jts.geom.util.GeometryMapper

    public class GeometryMapper

extends java.lang.Object

Methods to map various collections of `Geometry`s via defined mapping functions.

Author:
  Martin Davis

Nested Class Summary
`static interface` | `GeometryMapper.MapOp` An interface for geometry functions used for mapping.

Constructor Summary
`GeometryMapper()`

Method Summary
`static java.util.Collection` | `map(java.util.Collection geoms, GeometryMapper.MapOp op)`
`static Geometry` | `map(Geometry geom, GeometryMapper.MapOp op)` Maps the members of a `Geometry` (which may be atomic or composite) into another `Geometry` of most specific type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryMapper

    public GeometryMapper()

Method Detail

### map

    public static Geometry map(Geometry geom,
                               GeometryMapper.MapOp op)

  Maps the members of a `Geometry` (which may be atomic or composite) into another `Geometry` of most specific type. `null` results are skipped. In the case of hierarchical `GeometryCollection`s, only the first level of members are mapped.

  Parameters:
    `geom` - the input atomic or composite geometry
    `op` - the mapping operation
  Returns:
    a result collection or geometry of most specific type

### map

    public static java.util.Collection map(java.util.Collection geoms,
                                           GeometryMapper.MapOp op)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD